#
# Conditional build:
%bcond_with	oracle		# build with oracle support
%bcond_with	instantclient	# build oracle support with oracle-instantclient

Summary:	A graphical toolkit for database developers and administrators
Summary(pl.UTF-8):	Zestaw graficznych narzędzi dla programistów i administratorów baz danych
Name:		tora
Version:	3.2
Release:	1
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	https://github.com/tora-tool/tora/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9a08df5eb9ca8a8c26d05540fc57d103
Patch0:		qscintilla.patch
Patch1:		qt-5.11.0.patch
Patch2:		missing-header.patch
Patch3:		i18n.patch
URL:		https://github.com/tora-tool/tora
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Xml-devel
BuildRequires:	cppunit-devel
BuildRequires:	loki-devel
%{?with_instantclient:BuildRequires:	oracle-instantclient-devel}
BuildRequires:	pcre-devel
BuildRequires:	postgresql-devel
BuildRequires:	qscintilla2-qt5-devel
BuildRequires:	qt5-build
BuildRequires:	qt5-linguist
BuildRequires:	texinfo
BuildRequires:	xorg-lib-libICE-devel
Suggests:	QtSql-pgsql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with oracle}
# ORACLE_HOME is required for oracle
%define _preserve_env %_preserve_env_base ORACLE_HOME
%endif

%description
TOra features a schema browser, SQL worksheet, PL/SQL editor and
debugger, storage manager, rollback segment monitor, instance manager,
and SQL output viewer. Via qt3 it can access PostgreSQL and MySQL
directly. Any other database systems can be accessed via ODBC.

%description -l pl.UTF-8
TOra zawiera przeglądarkę schematów, arkusz roboczy SQL, edytor i
debugger PL/SQL, zarządcę danych, monitor segmentów wycofań, zarządcę
instancji i przeglądarkę wyjścia SQL. Poprzez qt3 może współpracować
bezpośrednio z bazami PostgreSQL i MySQL. Inne systemy baz danych mogą
być obsługiwane poprzez ODBC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
mkdir -p build
cd build
%cmake ../ \
%if %{with oracle}
	-DENABLE_ORACLE=ON \
%if %{with instantclient}
	-DORACLE_PATH_INCLUDES=%{_includedir}/oracle/client \
	-DORACLE_PATH_LIB=%{_libdir} \
%endif
%else
	-DENABLE_ORACLE=OFF \
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p src/icons/tora.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a src/templates $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.xpm
%changelog
* Sun Jul 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tora.git;a=log;h=master

* Sat Jul 16 2022 Jan Rękorajski <baggins@pld-linux.org> d462651
- up to 3.2

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 1029892
- release 10 (by relup.sh)

* Sat Sep 21 2019 Jan Rękorajski <baggins@pld-linux.org> 339c123
- fix building with qscintilla 2.11
- rel 9

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> bc36d39
- release 8 (by relup.sh)

* Sun Aug 02 2015 Jan Rękorajski <baggins@pld-linux.org> 7be1c68
- release 7 (by relup.sh)

* Sun Aug 02 2015 Jan Rękorajski <baggins@pld-linux.org> 27a0d6d
- adjust qscintilla2 BR

* Wed Feb 05 2014 Elan Ruusamäe <glen@delfi.ee> 7c7f575
- fix missing fix-info-dir

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 59cbb1b
- release 5 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 9d5d880
- rel 4

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> e16c6bd
- fixed paths and added missing hunk

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 63c5c51
- added missing header for gethostname(3)
- rel 3

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ff32a1
- release 2

* Mon Sep 26 2011 Jan Rękorajski <baggins@pld-linux.org> bb10b60
- updated to 2.1.3

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f269cb
- rel 4; fix build

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f17bdd
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fdc3c3c
- release 2

* Sat Sep 11 2010 Jan Rękorajski <baggins@pld-linux.org> 1be3bba
- 2.1.2
- allow building with oracle-instantclient
- updated BR

* Sat Sep 11 2010 Jan Rękorajski <baggins@pld-linux.org> 7344d01
- fix some quirks latest g++ does not like

* Mon Jan 04 2010 Andrzej Zawadzki <zawadaa@gmail.com> 13c0fe2
- Suggests QtSql-pgsql - to use with Postgresql

* Wed Dec 02 2009 Jan Rękorajski <baggins@pld-linux.org> 4f290de
- rel 1
- updated BR

